<?xml version="1.0" encoding="utf-8" standalone="yes"?><rss version="2.0" xmlns:atom="http://www.w3.org/2005/Atom"><channel><title>REST API on</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/</link><description>Recent content in REST API on</description><generator>Hugo</generator><language>en</language><atom:link href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/index.xml" rel="self" type="application/rss+xml"/><item><title>Authorization</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/authorization/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/authorization/</guid><description>&lt;ol id="toc">&lt;/ol>
&lt;script>
 // JavaScript to generate the table of contents from H2 headings
 document.addEventListener("DOMContentLoaded", function () {
 //get all h2 headings within the 'main' element and generate a toc with links to them
 //excluding h2 heading 'Feedback' if it exists
 const toc = document.getElementById("toc");
 const headings = document.querySelectorAll("main h2");
 headings.forEach(heading => {
 if (heading.textContent === "Feedback") {
 return; // Skip the 'Feedback' heading
 }

 const li = document.createElement("li");
 const a = document.createElement("a");
 const id = heading.textContent.toLowerCase().replace(/\s+/g, '-');
 heading.id = id; // Set the id for the heading
 a.href = `#${id}`;
 a.textContent = heading.textContent;
 li.appendChild(a);
 toc.appendChild(li);
 });

 });
&lt;/script>



&lt;h2 id="policy-users">Policy Users&lt;/h2>
&lt;p>Protegrity Policy roles defines the unique data access privileges for every member. The Protegrity Lambda protects the data with the username sent in either the JWT-formatted authorization header or the request body.&lt;/p></description></item><item><title>HTTP Status Codes</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/http_status_codes/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/http_status_codes/</guid><description>&lt;p>The following table explains the different HTTP Status Codes with their corresponding response.&lt;/p>
&lt;table>&lt;thead>&lt;tr>&lt;th>
&lt;p>Status Codes&lt;/p>
&lt;/th>&lt;th>
&lt;p>Response&lt;/p>
&lt;/th>&lt;th>
&lt;p>Description&lt;/p>
&lt;/th>&lt;/tr>&lt;/thead>&lt;tbody>&lt;tr>&lt;td>
&lt;p>200&lt;/p>
&lt;/td>&lt;td>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{&amp;#34;results&amp;#34;:[&amp;#34;&amp;lt;string&amp;gt;&amp;#34;,&amp;#34;&amp;lt;string&amp;gt;&amp;#34;],
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;success&amp;#34;: true, &amp;#34;encoding&amp;#34;:[hex|utf8]}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;/td>&lt;td>
&lt;p>Success protected data is in results, and success attribute is true&lt;/p>
&lt;/td>&lt;/tr>&lt;tr>&lt;td>
&lt;p>400&lt;/p>
&lt;/td>&lt;td>
&lt;div class="highlight">&lt;pre tabindex="0" style="background-color:#f8f8f8;-moz-tab-size:4;-o-tab-size:4;tab-size:4;">&lt;code class="language-fallback" data-lang="fallback">&lt;span style="display:flex;">&lt;span>{
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;error_msg&amp;#34;: &amp;#34;&amp;lt;string&amp;gt;&amp;#34;,
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span> &amp;#34;success&amp;#34;: false
&lt;/span>&lt;/span>&lt;span style="display:flex;">&lt;span>}
&lt;/span>&lt;/span>&lt;/code>&lt;/pre>&lt;/div>&lt;/td>&lt;td>
&lt;p>There was an issue in the request, success is false, check error_msg attribute. For more information check AWS Lambda’s CloudWatch logs.&lt;/p></description></item><item><title>Payload Encoding</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/payload_encoding/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/payload_encoding/</guid><description>&lt;h2 id="payload-encoding">Payload Encoding&lt;/h2>
&lt;p>The following encoding formats are supported in the REST API.&lt;/p>
&lt;p>For every encoding, the resultant protected data is returned in the same encoding. For example, if request is hex-encoded, the response is also hex-encoded.&lt;/p>
&lt;p>For more information about the encoding formats, refer to the &lt;a href="https://docs.protegrity.com/protectors/10.1/docs/pmr/">Protection Methods Reference&lt;/a>.&lt;/p>
&lt;table>&lt;thead>&lt;tr>&lt;th align="left" id="d1729e55">
&lt;p>Encoding&lt;/p>
&lt;/th>&lt;th align="left" id="d1729e58">
&lt;p>Supported by data elements&lt;/p>
&lt;/th>&lt;th align="left" id="d1729e61">
&lt;p>Notes&lt;/p>
&lt;/th>&lt;/tr>&lt;/thead>&lt;tbody>&lt;tr>&lt;td>
&lt;p>utf8&lt;/p>
&lt;/td>&lt;td>
&lt;p>All except binary data elements.&lt;/p>
&lt;/td>&lt;td>
&lt;p>Default encoding if encoding is not specified.&lt;/p></description></item><item><title>TLS Mutual Authentication</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/tls-mutual-authentication/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/tls-mutual-authentication/</guid><description>&lt;p>By default, AWS API Gateway supports HTTPS endpoint and doesn&amp;rsquo;t allow HTTP protocol.&lt;/p>
&lt;p>For an additional layer of security, you can configure AWS API Gateway TLS Mutual Authentication.&lt;/p>
&lt;p>AWS API Gateway will ensure that the clients with a valid certificate only can call the REST API. Protegrity recommends to setup TLS Mutual Authentication in AWS API Gateway. For more information on how to set AWS API Gateway Mutual TLS go to the following link.&lt;/p></description></item><item><title>v1 Specification</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/specification_v1/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/specification_v1/</guid><description>&lt;p>AWS Lambda service limits maximum size of payload to 6 MB. Client applications of Protegrity Cloud API must ensure their payload size is within this limit. This applies to all types of requests described below.&lt;/p>


 




	






 






 &lt;h2 id="request">Request&lt;/h2>
&lt;p>AWS Lambda service limits maximum size of payload to 6 MB. Client applications of Protegrity Cloud API must ensure their payload size is within this limit. This applies to all types of requests described below.&lt;/p></description></item><item><title>Legacy Specification</title><link>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/specification_legacy/</link><pubDate>Mon, 01 Jan 0001 00:00:00 +0000</pubDate><guid>https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/specification_legacy/</guid><description>&lt;p>Protegrity has multiple products with REST API capabilities, such as Protection Server (out of support), DSG, and the latest product - IAP REST. Each one has its use case. To help you move to cloud-native implementation, Cloud Product REST API supports legacy payload.&lt;/p>
&lt;ul>
&lt;li>&lt;a href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/specification_legacy/#request">Request&lt;/a>&lt;/li>
&lt;li>&lt;a href="https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/specification_legacy/#response">Response&lt;/a>&lt;/li>
&lt;/ul>
&lt;p>Legacy documentation can be downloaded from AWS console, API, Models, prefix Legacy.
&lt;img src="https://docs.protegrity.com/cloud-protect/4.0.0/docs/aws/api/rest_api/cas_legacy_image_border.png" alt="">&lt;/p>


 




	






 






 &lt;h2 id="request">Request&lt;/h2>
&lt;p>Performs a policy operation such as protect, unprotect, or reprotect.&lt;/p>
&lt;ul>
&lt;li>
&lt;p>&lt;strong>Method&lt;/strong>&lt;/p>
&lt;p>POST&lt;/p></description></item></channel></rss>